FreeMat

- Main Page
- Related Pages

vtkVRMLExporter

Section: Visualization Toolkit Rendering Classes

# Usage

vtkVRMLExporter is a concrete subclass of vtkExporter that writes VRML 2.0 files. This is based on the VRML 2.0 draft #3 but it should be pretty stable since we aren't using any of the newer features.

To create an instance of class vtkVRMLExporter, simply invoke its constructor as follows

      obj = vtkVRMLExporter

# Methods

The class vtkVRMLExporter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkVRMLExporter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkVRMLExporter = obj.NewInstance ()`
- `vtkVRMLExporter = obj.SafeDownCast (vtkObject o)`
- `obj.SetFileName (string )` - Specify the name of the VRML file to write.
- `string = obj.GetFileName ()` - Specify the name of the VRML file to write.
- `obj.SetSpeed (double )` - Specify the Speed of navigation. Default is 4.
- `double = obj.GetSpeed ()` - Specify the Speed of navigation. Default is 4.